Bug 211486 - LTC27431-lcs: device does not recover after disable/enable or link failure
LTC27431-lcs: device does not recover after disable/enable or link failure
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
s390 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Snook
Brian Brock
:
Depends On:
Blocks: 234547
  Show dependency treegraph
 
Reported: 2006-10-19 13:50 EDT by Issue Tracker
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-07 23:52:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lcs driver update (15.34 KB, patch)
2006-10-19 14:08 EDT, Chris Snook
no flags Details | Diff

  None (edit)
Description Issue Tracker 2006-10-19 13:50:46 EDT
Escalated to Bugzilla from IssueTracker
Comment 1 Issue Tracker 2006-10-19 13:50:59 EDT
LTC Owner is: jan.glauber@de.ibm.com
LTC Originator is: jan.glauber@de.ibm.com


Description:
lcs: Unpredictable results after cable pull/plug-in.

Symptom:
Device not operational anymore after cable pull/plug-in. Unpredictable results
occured, e.g. kernel panic using cards of type QD8F.

Problem:
Stoplan command and delete multicast address command were not proper recognized
by OSA card under heavy network workload.
Channel/device error checks missing in interrupt handler.

Solution:
Missing error checks in interrupt handler added. LCS device recovery improved.
Schedule recovery on card's problems or cable plug-in.
This event sent from IssueTracker by csnook  [Support Engineering Group]
 issue 102553
Comment 2 Chris Snook 2006-10-19 14:08:07 EDT
Created attachment 138892 [details]
lcs driver update

Attached patch against 2.6.9-42.EL fixes the link status change handling, and
has been tested by IBM.  This code is upstream as of 2.6.17.
Comment 5 Jason Baron 2006-12-14 21:37:04 EST
committed in stream U5 build 42.32. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 7 Jay Turner 2007-01-02 08:45:53 EST
QE ack for RHEL4.5.
Comment 10 Red Hat Bugzilla 2007-05-07 23:52:26 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.